AOZ Studio Beta - Bug #3844

Actors still seam to have Ghost behaviour after deleting
10/04/2021 07:45 AM - malcolm harvey

Status: Closed Start date: 10/04/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u25

Description

It seams unless there is an error in the logic of this code, that after an actor has been deleted it still continues on in the log and gets
recorded. See code example below in this version if you like.

It basically, drops the balloon (Actor test1), from the top then hits the line (Actor test2) , then the blue ball dissapears (Actor 1.
But then the ball still seams to be recording in the log until it hits the bottom like a (Ghost of the ball).
| would have thought it should record nothing and the Y pos of it hitting the line should be the last recorded.

Cls0
Actor "test1", Image$="blue_balloon", y=0, x=500, EndY=990, Duration = 3000, Scale=0.30, OnChange$="ON_CHANGE"
Actor "test2", Image$="line", y=500, x=50, OnCollision$="COLLISION"

Cls0

do
Wait Vbl
Loop

Procedure COLLISION [EVENTS$,INDEX1$,INDEX2$]
if INDEX2$="test1"

Log "Collision " + INDEX1$ + " -> " + INDEX2$

Del Actor INDEX1$

end if

End Proc

Procedure ON_CHANGE [EVENT$,INDEX1$, Y]
Log "onBallHitGround, INDEX1$="+ INDEX$ + " - " + EVENTS$ + " Y=" + Str$(Y)
End Proc

History

#1 - 10/04/2021 07:47 AM - malcolm harvey

Little update line 27 misprint.
Should be Del Actor INDEX2$

#2 - 12/18/2021 10:13 PM - malcolm harvey
- Affected version changed from 1.0.0 (B10) u16 to 1.0.0 (B11) u17

#3 - 08/28/2022 09:10 PM - malcolm harvey
- Affected version changed from 1.0.0 (B11) u17 to 1.0.0 (B16) u25

#4 - 01/20/2023 01:17 AM - malcolm harvey

- Status changed from New to Closed

| believe this is also now currected. lll reopen ticket if it reoccurs. Was based on an old beta.
Closed.
